Bug 729292 - Not releasing IPv6 leases - wrong PID file name.
Summary: Not releasing IPv6 leases - wrong PID file name.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 14
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 729359
TreeView+ depends on / blocked
 
Reported: 2011-08-09 11:50 UTC by DaveG
Modified: 2014-03-17 03:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 729359 (view as bug list)
Environment:
Last Closed: 2012-02-09 21:10:56 UTC


Attachments (Terms of Use)

Description DaveG 2011-08-09 11:50:57 UTC
Description of problem:
While experimenting with IPv6, DHCP & DDNS, I noticed a typo in /etc/sysconfig/network-scripts/ifdown-eth.
In the stanza handling dhclient shutdown (line 73) the PID file name passed to dhclient does not include the IP version prefix. IPv4 is closed first, removing it's PID file, then IPv6 is closed using the (now removed) IPv4 PID file.

Version-Release number of selected component (if applicable):
initscripts-9.20.2-1.fc14.1.x86_64

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:
/sbin/dhclient -r -lf /var/lib/dhclient/dhclient$VER-${DEVICE}.leases -pf /var/run/dhclient-${DEVICE}.pid ${DEVICE} >/dev/null 2>&1

Expected results:
/sbin/dhclient -r -lf /var/lib/dhclient/dhclient$VER-${DEVICE}.leases -pf /var/run/dhclient$VER-${DEVICE}.pid ${DEVICE} >/dev/null 2>&1

Additional info:
Quick diff -u:
--- ifdown-eth.daveg	2011-02-25 20:23:36.000000000 +0000
+++ ifdown-eth	2011-08-09 12:41:23.747160554 +0100
@@ -70,7 +70,7 @@
 	if [ -f "/var/run/dhclient$VER-${DEVICE}.pid" ]; then
 		dhcpid=$(cat /var/run/dhclient$VER-${DEVICE}.pid)
 		if [[ "$DHCPRELEASE" = [yY1]* ]];  then
-			/sbin/dhclient -r -lf /var/lib/dhclient/dhclient$VER-${DEVICE}.leases -pf /var/run/dhclient-${DEVICE}.pid ${DEVICE} >/dev/null 2>&1
+			/sbin/dhclient -r -lf /var/lib/dhclient/dhclient$VER-${DEVICE}.leases -pf /var/run/dhclient$VER-${DEVICE}.pid ${DEVICE} >/dev/null 2>&1
 			retcode=$?
 		else
 			kill $dhcpid >/dev/null 2>&1

--DaveG.

Comment 1 Bill Nottingham 2011-08-09 16:32:45 UTC
Thanks for the patch! Added to rawhide, F-15, and F-14 branches, will be in some future update.


Note You need to log in before you can comment on or make changes to this bug.